/mail/domains/{id}/mailboxes (POST)
POST
/mail/domains/{id}/mailboxes
const url = 'https://example.com/api/v1/mail/domains/example/mailboxes';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"localPart":"example","displayName":"example","quotaBytes":1,"password":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/mail/domains/example/mailboxes \ --header 'Content-Type: application/json' \ --data '{ "localPart": "example", "displayName": "example", "quotaBytes": 1, "password": "example" }'Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string
Request Body required
Section titled “Request Body required ” Media type application/json
object
localPart
required
string
displayName
string
quotaBytes
integer
password
string
Example generated
{ "localPart": "example", "displayName": "example", "quotaBytes": 1, "password": "example"}Responses
Section titled “ Responses ”Default Response
Media type application/json
object
Example generated
{ "mailbox": { "id": "example", "mailDomainId": "example", "localPart": "example", "displayName": "example", "quotaBytes": 1, "status": "example", "createdAt": "example" }, "password": "example"}Default Response
Media type application/json
object
type
required
string
title
required
string
status
required
integer
code
required
string
detail
string
instance
string
errors
Array<object>
object
path
required
string
message
required
string
Example generated
{ "type": "example", "title": "example", "status": 1, "code": "example", "detail": "example", "instance": "example", "errors": [ { "path": "example", "message": "example" } ]}Default Response
Media type application/json
object
type
required
string
title
required
string
status
required
integer
code
required
string
detail
string
instance
string
errors
Array<object>
object
path
required
string
message
required
string
Example generated
{ "type": "example", "title": "example", "status": 1, "code": "example", "detail": "example", "instance": "example", "errors": [ { "path": "example", "message": "example" } ]}